CS::Animation::iBodyBoneJoint Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::Animation::iBodyBoneJoint Struct Reference

These are the properties of the joint associated to a bone. More...

`#include <imesh/bodymesh.h>`

Inheritance diagram for CS::Animation::iBodyBoneJoint:

List of all members.

## Public Member Functions
virtual csVector3 | GetBounce () const =0
| Get the restitution of the joint's stop point.
virtual csVector3 | GetMaximumAngle () const =0
| Get the maximum constrained angle between bodies (in radian).
virtual csVector3 | GetMaximumDistance () const =0
| Get the maximum constrained distance between bodies.
virtual csVector3 | GetMinimumAngle () const =0
| Get the minimum constrained angle between bodies (in radian).
virtual csVector3 | GetMinimumDistance () const =0
| Get the minimum constrained distance between bodies.
virtual csOrthoTransform | GetTransform () const =0
| Get the transform of the joint relatively to this bone.
virtual bool | IsXRotConstrained () const =0
| True if this axis' rotation is constrained.
virtual bool | IsXTransConstrained () const =0
| True if this axis' translation is constrained.
virtual bool | IsYRotConstrained () const =0
| True if this axis' rotation is constrained.
virtual bool | IsYTransConstrained () const =0
| True if this axis' translation is constrained.
virtual bool | IsZRotConstrained () const =0
| True if this axis' rotation is constrained.
virtual bool | IsZTransConstrained () const =0
| True if this axis' translation is constrained.
virtual void | SetBounce (const csVector3 &bounce)=0
| Set the restitution of the joint's stop point.
virtual void | SetMaximumAngle (const csVector3 &max)=0
| Set the maximum constrained angle between bodies (in radian).
virtual void | SetMaximumDistance (const csVector3 &max)=0
| Set the maximum constrained distance between bodies.
virtual void | SetMinimumAngle (const csVector3 &min)=0
| Set the minimum constrained angle between bodies (in radian).
virtual void | SetMinimumDistance (const csVector3 &min)=0
| Set the minimum constrained distance between bodies.
virtual void | SetRotConstraints (bool X, bool Y, bool Z)=0
| Set the rotational constraints on the 3 axes.
virtual void | SetTransConstraints (bool X, bool Y, bool Z)=0
| Set the translation constraints on the 3 axes.
virtual void | SetTransform (const csOrthoTransform &transform)=0
| Set the transform of the joint relatively to this bone.

## Detailed Description

These are the properties of the joint associated to a bone.

Refer to the iJoint documentation for further information on these properties.

Definition at line 325 of file bodymesh.h.

## Member Function Documentation

virtual csVector3 CS::Animation::iBodyBoneJoint::GetBounce | ( |  | ) | const`[pure virtual]`

Get the restitution of the joint's stop point.

virtual csVector3 CS::Animation::iBodyBoneJoint::GetMaximumAngle | ( |  | ) | const`[pure virtual]`

Get the maximum constrained angle between bodies (in radian).

virtual csVector3 CS::Animation::iBodyBoneJoint::GetMaximumDistance | ( |  | ) | const`[pure virtual]`

Get the maximum constrained distance between bodies.

virtual csVector3 CS::Animation::iBodyBoneJoint::GetMinimumAngle | ( |  | ) | const`[pure virtual]`

Get the minimum constrained angle between bodies (in radian).

virtual csVector3 CS::Animation::iBodyBoneJoint::GetMinimumDistance | ( |  | ) | const`[pure virtual]`

Get the minimum constrained distance between bodies.

virtual csOrthoTransform CS::Animation::iBodyBoneJoint::GetTransform | ( |  | ) | const`[pure virtual]`

Get the transform of the joint relatively to this bone.

virtual bool CS::Animation::iBodyBoneJoint::IsXRotConstrained | ( |  | ) | const`[pure virtual]`

True if this axis' rotation is constrained.

virtual bool CS::Animation::iBodyBoneJoint::IsXTransConstrained | ( |  | ) | const`[pure virtual]`

True if this axis' translation is constrained.

virtual bool CS::Animation::iBodyBoneJoint::IsYRotConstrained | ( |  | ) | const`[pure virtual]`

True if this axis' rotation is constrained.

virtual bool CS::Animation::iBodyBoneJoint::IsYTransConstrained | ( |  | ) | const`[pure virtual]`

True if this axis' translation is constrained.

virtual bool CS::Animation::iBodyBoneJoint::IsZRotConstrained | ( |  | ) | const`[pure virtual]`

True if this axis' rotation is constrained.

virtual bool CS::Animation::iBodyBoneJoint::IsZTransConstrained | ( |  | ) | const`[pure virtual]`

True if this axis' translation is constrained.

virtual void CS::Animation::iBodyBoneJoint::SetBounce | ( | const csVector3 & | bounce | ) | `[pure virtual]`

Set the restitution of the joint's stop point.

virtual void CS::Animation::iBodyBoneJoint::SetMaximumAngle | ( | const csVector3 & | max | ) | `[pure virtual]`

Set the maximum constrained angle between bodies (in radian).

virtual void CS::Animation::iBodyBoneJoint::SetMaximumDistance | ( | const csVector3 & | max | ) | `[pure virtual]`

Set the maximum constrained distance between bodies.

virtual void CS::Animation::iBodyBoneJoint::SetMinimumAngle | ( | const csVector3 & | min | ) | `[pure virtual]`

Set the minimum constrained angle between bodies (in radian).

virtual void CS::Animation::iBodyBoneJoint::SetMinimumDistance | ( | const csVector3 & | min | ) | `[pure virtual]`

Set the minimum constrained distance between bodies.

virtual void CS::Animation::iBodyBoneJoint::SetRotConstraints | ( | bool | X,
|  | bool | Y,
|  | bool | Z
| ) |  | `[pure virtual]`

Set the rotational constraints on the 3 axes.

virtual void CS::Animation::iBodyBoneJoint::SetTransConstraints | ( | bool | X,
|  | bool | Y,
|  | bool | Z
| ) |  | `[pure virtual]`

Set the translation constraints on the 3 axes.

virtual void CS::Animation::iBodyBoneJoint::SetTransform | ( | const csOrthoTransform & | transform | ) | `[pure virtual]`

Set the transform of the joint relatively to this bone.

The documentation for this struct was generated from the following file:

- imesh/bodymesh.h